%define webadminroot /var/www/html/admin

#Module-Specific definitions
%define mod_version 2.0.0
%define mod_name mod_benchmark
%define mod_conf 93_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

%define apache_version 2.0.53

# Standard Module Definitions
%define name apache2-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Mod_benchmark is a DSO module for the apache2 Web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
Group:		System/Servers
License:	GPL
URL:		http://www.trickytools.com/php/mod_benchmark.php
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
# I was not able to disable cybase, so here's my fix, plus soname fix
Patch0:		mod_benchmark-2.0.0-no_cybase.diff.bz2
Patch1:		mod_benchmark-1.6-apr.diff.bz2
Prereq:		rpm-helper
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	MySQL-devel
BuildRequires:	postgresql-devel
Requires:	mod_php
Prereq:		apache2 >= %{apache_version}
Prereq:		apache2-conf
BuildRequires:  apache2-devel >= %{apache_version}-1mdk
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_benchmark is an apache2 module that produces Performance
Statistics. It can help you find out which are the slower pages,
which are the system bottlenecks. It can also alert you when
thresholds are reached. Reports are displayed through a PHP fronte

NOTE: This software requires the SVG viewer by Adobe to make use
of the graphs produced. (MSIE only?)

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p1 -b .no_cybase
%patch1 -p0 -b .apr

pushd benchmark
# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644
popd

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
export WANT_AUTOCONF_2_5=1
rm -f missing
libtoolize --copy --force; aclocal-1.7; autoconf; automake-1.7 --add-missing

%configure2_5x \
    --with-apxs2=%{_sbindir}/apxs2 \
    --enable-mysql \
    --enable-pgsql \
    --disable-sybase \
    --disable-oracle

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache2-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

cp -rp src/.libs .

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache2-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

# install other stuff
install -m755 .libs/benchmark-mysql.so %{buildroot}%{_libdir}/apache2-extramodules/
install -m755 .libs/benchmark-pgsql.so %{buildroot}%{_libdir}/apache2-extramodules/
install -m755 src/alerter.sh %{buildroot}%{_libdir}/apache2-extramodules/
install -m755 src/sysstat2 %{buildroot}%{_libdir}/apache2-extramodules/
install -m755 src/benchmark_rt %{buildroot}%{_libdir}/apache2-extramodules/

install -d %{buildroot}/%{webadminroot}/%{mod_name}
cp -aRf benchmark/* %{buildroot}/%{webadminroot}/%{mod_name}/

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO plugins
%doc sql/mod_benchmark-mysql.sql sql/mod_benchmark-std.sql sql/mod_benchmark-pgsql.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%attr(0644,root,root) %config(noreplace) %{webadminroot}/%{mod_name}/php/globals.inc.php
%attr(0644,root,root) %config(noreplace) %{webadminroot}/%{mod_name}/perl/globals.inc.pl
%attr(0755,root,root) %{_libdir}/apache2-extramodules/%{mod_so}
%attr(0755,root,root) %{_libdir}/apache2-extramodules/alerter.sh
%attr(0755,root,root) %{_libdir}/apache2-extramodules/sysstat2
%attr(0755,root,root) %{_libdir}/apache2-extramodules/benchmark_rt
%attr(0755,root,root) %{_libdir}/apache2-extramodules/benchmark-mysql.so
%attr(0755,root,root) %{_libdir}/apache2-extramodules/benchmark-pgsql.so
%{_var}/www/html/addon-modules/*
%{webadminroot}/%{mod_name}/*

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-4mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_2.0.0-1mdk
- rebuilt for apache 2.0.53

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-2mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- nuke redundant deps

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_2.0.0-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_2.0.0-1mdk
- built for apache 2.0.51

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_2.0.0-1mdk
- 2.0.0
- fix P0

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.6a-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_1.6a-1mdk
- built for apache 2.0.49
- added P1

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.6a-1mdk
- built for apache 2.0.48

* Sun Sep 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.6a-1mdk
- 1.6a
- added postgresql support
- fixed P0
- change back the url

* Fri Sep 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5b-1mdk
- 1.5b
- use the %%configure2_5x

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5a-2mdk
- fix S1
- fix description

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.5a-1mdk
- 1.5a (the actual contrib...)
- updated the url

* Sun Apr 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.5-1mdk
- initial cooker contrib, first attempt with this beast...
